> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/users/agreements.md).

# Agreements

User agreements, waivers, and consent management.

## GET /agreements

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AgreementDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/agreements":{"get":{"operationId":"AgreementsController_findAll","parameters":[{"name":"includeDrafts","required":false,"in":"query","description":"Include draft agreements","schema":{"type":"boolean"}},{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"type","required":false,"in":"query","schema":{}}],"responses":{"200":{"description":"Returns an `AgreementCollection`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementCollectionDto"}}}}},"tags":["Agreements"]}}}}
```

## POST /agreements

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements":{"post":{"operationId":"AgreementsController_createAgreement","parameters":[],"requestBody":{"required":true,"description":"The `Agreement` to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}},"responses":{"201":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}},"422":{"description":"Returns an `ErrorDto` in case of validation errors or failures.<br/>"}},"tags":["Agreements"]}}}}
```

## GET /agreements/liability-waiver

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements/liability-waiver":{"get":{"operationId":"AgreementsController_findAgreement","parameters":[],"responses":{"200":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}}},"tags":["Agreements"]}}}}
```

## GET /agreements/kids-waiver

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements/kids-waiver":{"get":{"operationId":"AgreementsController_findKidsAgreement","parameters":[],"responses":{"200":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}}},"tags":["Agreements"]}}}}
```

## GET /agreements/{agreementId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements/{agreementId}":{"get":{"operationId":"AgreementsController_findOne","parameters":[{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"agreementId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}}},"tags":["Agreements"]}}}}
```

## PATCH /agreements/{agreementId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements/{agreementId}":{"patch":{"operationId":"AgreementsController_create","parameters":[{"name":"agreementId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}},"responses":{"200":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}},"403":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}}},"tags":["Agreements"]}}}}
```

## GET /agreements/{areaId}/liability-waiver

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements/{areaId}/liability-waiver":{"get":{"operationId":"AgreementsController_findAreaAgreement","parameters":[{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}}},"tags":["Agreements"]}}}}
```

## GET /agreements/{areaId}/kids-waiver

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Agreements","description":"User agreements, waivers, and consent management."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AgreementDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"displayName":{"type":"string","readOnly":true},"type":{"type":"string","enum":["TERMS_OF_SERVICE","PRIVACY_POLICY","COVID_19_GUIDELINES","POD_RULES","LIABILITY_WAIVER","AREA_LIABILITY_WAIVER","KIDS_WAIVER","AREA_KIDS_WAIVER"]},"area":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"content":{"type":"string"},"releasedAt":{"format":"date-time","type":"string","readOnly":true},"contentType":{"type":"string","enum":["URL","MARKDOWN"]},"status":{"type":"string","enum":["DRAFT","RELEASED"]},"complianceType":{"type":"string","enum":["MANDATORY","OPTIONAL"]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"releasedBy":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"_links":{"type":"object"}},"required":["id","displayName","type","area","content","releasedAt","contentType","status","complianceType","errors","releasedBy","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]}}},"paths":{"/agreements/{areaId}/kids-waiver":{"get":{"operationId":"AgreementsController_findAreaKidsAgreement","parameters":[{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an `Agreement`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgreementDto"}}}}},"tags":["Agreements"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.podplay.app/api/users/agreements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
